LibreOffice: XDocumentIndex Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDocumentIndex Interface Referencepublished

This is the main interface for a document index. More...

Inheritance diagram for XDocumentIndex:

## Public Member Functions
string | getServiceName ()
| returns the service name that was used to create this document index type.
void | update ()
| initiates an update to the document index.
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text.
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is the main interface for a document index.

Use com::sun::star::util::XRefreshable and com::sun::star::lang::XServiceInfo instead, if available.

Deprecated:

See also
  com::sun::star::util::XRefreshable
  com::sun::star::lang::XServiceInfo

Developers Guide
  Text Documents - Indexes and Index Marks

## Member Function Documentation

## ◆ getServiceName()

string getServiceName | ( |  | ) |

returns the service name that was used to create this document index type.

## ◆ update()

void update | ( |  | ) |

initiates an update to the document index.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XDocumentIndex.idl